defmodule CentralcloudMy.MixProject do
  use Mix.Project

  def project do
    [
      app: :centralcloud_my,
      version: "0.1.0",
      build_path: "../../_build",
      config_path: "../../config/config.exs",
      deps_path: "../../deps",
      lockfile: "../../mix.lock",
      elixir: "~> 1.20",
      start_permanent: Mix.env() == :prod,
      deps: deps()
    ]
  end

  def application do
    [
      mod: {CentralcloudMy.Application, []},
      extra_applications: [:logger, :runtime_tools]
    ]
  end

  defp deps do
    [
      {:centralcloud_core, in_umbrella: true},
      {:phoenix, "~> 1.7"},
      {:phoenix_live_view, "~> 1.0"},
      {:phoenix_html, "~> 4.0"},
      {:phoenix_live_reload, "~> 1.2", only: :dev},
      {:bandit, "~> 1.2"},
      {:ecto_sql, "~> 3.10"},
      {:postgrex, "~> 0.17"},
      {:swoosh, "~> 1.3"},       # email
      {:finch, "~> 0.13"},
      {:telemetry_metrics, "~> 1.0"},
      {:telemetry_poller, "~> 1.0"},
      {:jason, "~> 1.4"},
      {:dns_cluster, "~> 0.1.1"},
      {:oidcc, "~> 3.2"},          # OIDC client for Authentik SSO
      {:petal_components, "~> 2.0"}
    ]
  end
end
